> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update HubSpot Object

> Update HubSpot Object



## OpenAPI

````yaml /api-reference/v1/v1.1.0_openapi.json post /action/hubspot.v2.update_object
openapi: 3.0.0
info:
  version: 1.1.0
  title: AI Actions - Get Data
  description: API specifications for 'Get Data' category AI actions.
  license:
    name: MIT
servers:
  - url: https://api-lr.agent.ai/v1
security:
  - bearerAuth: []
paths:
  /action/hubspot.v2.update_object:
    post:
      tags:
        - HubSpot CRM & Automation
      summary: Update HubSpot Object
      description: Update HubSpot Object
      operationId: hubspot.v2.updateObject
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                object_type:
                  type: string
                  x-ui: hubspot_object_type
                identification_method:
                  type: string
                  enum:
                    - HubSpot ID
                    - Email Address (Contacts only)
                    - Company Domain (Companies only)
                  default: HubSpot ID
                identifier_value:
                  type: string
                  description: The value to identify the object to update.
                properties:
                  type: string
                  x-ui: properties
                associations:
                  type: string
                  x-ui: associations
                output_variable_name:
                  type: string
                  description: Variable name to store the updated object.
                  default: updated_object
              required:
                - object_type
                - identification_method
                - identifier_value
                - properties
                - output_variable_name
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
        '401':
          description: Unauthorized - invalid or missing bearer token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
components:
  schemas:
    ActionResponse:
      type: object
      properties:
        status:
          type: integer
          format: int32
          description: HTTP status code of the action response
        response:
          type: object
          description: Response data from the action
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token from your account
        ([https://agent.ai/user/integrations#api](https://agent.ai/user/integrations#api))

````